using System;

class CountedObject
{
    static int counter = 0;

    public CountedObject()
    {
        ++counter;
        Console.WriteLine(" Dies ist das {0}. erzeugte Objekt", counter);
    }
}

class Objektzaehler
{
    static void Main()
    {
        CountedObject obj1 = new CountedObject();
        CountedObject obj2 = new CountedObject();
        CountedObject obj3 = new CountedObject();
    }
}